Bug 40609 - Python thread tests fail on IA64
Summary: Python thread tests fail on IA64
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: python   
(Show other bugs)
Version: 1.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-15 00:21 UTC by Elliot Lee
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 01:23:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2001-05-15 00:21:08 UTC
Description of Problem: 
Python thread tests fail on IA64

How Reproducible: Very.

Steps to Reproduce:
rsh boris python /usr/lib/python1.5/test/test_thread.py

Actual Results:
hangs or segfaults at the ***BARRIER*** part.

Expected Results:
Successful completion.

Comment 1 Elliot Lee 2001-05-15 21:06:00 UTC
It works when run under gdb. Will miracles never cease...

Comment 2 Elliot Lee 2001-05-16 01:23:24 UTC
Supposedly the 2.4.4 kernel is one way to fix this.

Comment 3 Bill Nottingham 2001-05-21 18:26:28 UTC
fixed in kernel-2.4.3-6.99.1.


Note You need to log in before you can comment on or make changes to this bug.